@import '../../../../style/variables';

:host {
  display: block;
  position: relative;

  signature-pad {
    display: block;
    background: $fmi-plateau-primary-color-lighter-x;
    border: dotted 3px $fmi-plateau-primary-color-darker;

    &.disabled {
      background-color: transparent;
      border: dotted 3px rgba(0, 0, 0, .54);
    }
  }

  .mat-icon-button {
    position: absolute;
    top: 0;
    right: 0;
  }

  ::ng-deep {
    + .mat-form-field-label-wrapper {
      .mat-form-field-label {
        display: block;
        text-align: center;
        padding-top: .5rem;
      }
    }
  }

  .disable-overlay {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
  }
}
